Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface FinishedReport

    public interface FinishedReport

Interface `FinishedReport` contains information of finished report in the report server.

Method Summary
`java.lang.String` | `getCatalog()` Returns the catalog of the report .
`long` | `getEndTime()` Get finish time of the report in server.
`int` | `getLaunchType()` Returns the launch type of the report .
`java.lang.String` | `getLaunchTypeToString()` Get the launch type of display string.
`java.lang.String` | `getParamFile()` Return the parameter filename of the report.if no any parameter,return null.
`java.lang.String` | `getPublishType()`
`java.lang.String` | `getReason()` Get the error reason after occur error of the report.if run success,return null.
`java.lang.String` | `getRemoteHost()` Returns the remote host of the report.
`java.lang.String` | `getReport()` Returns the report name of the report.
`java.util.Vector` | `getResultFile()` Gets the name of the result file of the report.if no result file return null.
`java.lang.String` | `getRunName()` Get the name which provide JREngine in cluster server.
`java.lang.String` | `getRunPort()` Get the port which provide JREngine in cluster server.
`long` | `getStartRunTime()` Get start run time of the report in server.
`long` | `getSubmitTime()` Get submitted time of the report by client.
`java.lang.String` | `getTaskClass()` Returns the task class of the report .
`java.lang.String` | `getTaskClassToString()` Get the task class of display string.
`java.lang.String` | `getTaskID()` Returns the task ID of the report.
`int` | `getTotalPageNumber()` Gets the total page number of the report.
`java.lang.String` | `getUserID()` Returns the user id of the report.
`long` | `getWaitTimeInRun()` Get wait time when running the report in server.

Method Detail

### getTaskID

    java.lang.String getTaskID()

  Returns the task ID of the report.

  Returns:
    the task ID of the report.

### getTaskClass

    java.lang.String getTaskClass()

  Returns the task class of the report .

  Returns:
    the task class of the report .

### getLaunchType

    int getLaunchType()

  Returns the launch type of the report .

  Returns:
    the launch type of the report .

### getUserID

    java.lang.String getUserID()

  Returns the user id of the report.

  Returns:
    the user id of the report .

### getRemoteHost

    java.lang.String getRemoteHost()

  Returns the remote host of the report.

  Returns:
    the remote host of the report .

### getCatalog

    java.lang.String getCatalog()

  Returns the catalog of the report .

  Returns:
    the catalog of the report.

### getReport

    java.lang.String getReport()

  Returns the report name of the report.

  Returns:
    the report name of the report.

### getParamFile

    java.lang.String getParamFile()

  Return the parameter filename of the report.if no any parameter,return null.

  Returns:
    the parameter file name.

### getResultFile

    java.util.Vector getResultFile()

  Gets the name of the result file of the report.if no result file return null.

  Returns:
    the vector contains name of the result file.

### getTotalPageNumber

    int getTotalPageNumber()

  Gets the total page number of the report.

  Returns:
    the total page number of the report, if run report fail, return -1.

### getReason

    java.lang.String getReason()

  Get the error reason after occur error of the report.if run success,return null.

  Returns:
    the error reason after occur error of the report.

### getSubmitTime

    long getSubmitTime()

  Get submitted time of the report by client.

  Returns:
    submitted time of the report by client.

### getStartRunTime

    long getStartRunTime()

  Get start run time of the report in server.

### getEndTime

    long getEndTime()

  Get finish time of the report in server.

### getWaitTimeInRun

    long getWaitTimeInRun()

  Get wait time when running the report in server.

### getRunName

    java.lang.String getRunName()

  Get the name which provide JREngine in cluster server.

### getRunPort

    java.lang.String getRunPort()

  Get the port which provide JREngine in cluster server.

### getLaunchTypeToString

    java.lang.String getLaunchTypeToString()

  Get the launch type of display string.

  Returns:
    the launch type of display string with the launch type.

### getTaskClassToString

    java.lang.String getTaskClassToString()

  Get the task class of display string.

  Returns:
    the task class of display string .

### getPublishType

    java.lang.String getPublishType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD